what happened to embedded youtube in 1.4.5? Used to work fine, would load in app to watch. ...now it says that I need flash..***